using System.Collections.Generic;
using GxPress.Common.Tools;
using GxPress.EnumConst;

namespace GxPress.Request.Notice
{
    /// <summary>
    /// 添加通知
    /// </summary>
    public class NoticeInRequest
    {
        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 标题
        /// </summary>

        public string Title { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>

        public int UserId { get; set; }
        /// <summary>
        /// 内容
        /// </summary>
        public string Content { get; set; }

        /// <summary>
        /// 内容
        /// </summary>
        public string HtmlContent { get; set; }
        /// <summary>
        /// 类型 (1 发送 2 草稿)
        /// </summary>

        public NoticeTypeConst NoticeType { get; set; }
        /// <summary>
        /// 收件人
        /// </summary>
        public List<int> NoticeAddresseeUserIds { get; set; }
        /// <summary>
        /// 新版收件人
        /// </summary>
        /// <value></value>
        public List<Request.UserMiddle.UserMiddleInRequest> AddresseeUserMiddles { get; set; }
        /// <summary>
        /// 新版抄送人
        /// </summary>
        /// <value></value>
        public List<Request.UserMiddle.UserMiddleInRequest> CcUserMiddles { get; set; }
        /// <summary>
        /// 抄送人
        /// </summary>
        public List<int> NoticeCcUserIds { get; set; }
        /// <summary>
        /// 是否删除
        /// </summary>
        public bool IsDelete { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public NoticeInRequest()
        {
            AddresseeUserMiddles = new List<UserMiddle.UserMiddleInRequest>();
            CcUserMiddles = new List<UserMiddle.UserMiddleInRequest>();
            NoticeAddresseeUserIds = new List<int>();
            NoticeCcUserIds = new List<int>();
        }
        /// <summary>
        /// 文件夹Id
        /// </summary>
        /// <value></value>
        public int FolderId { get; set; }
        /// <summary>
        /// 来源ID
        /// </summary>
        /// <value></value>
        public int SoureId { get; set; }
    }
}
